[Solved] FrostWire wont install

Tags: #<Tag:0x00007fe45a7f8500>

frostwire while executing from menu does not start, though i have installed it from rpmdrake and also java.

from terminal it says

Java exec found in PATH. Verifying…
OOPS, you don’t seem to have a valid JRE. FrostWire works best with Sun JRE available at h ttp://www.java.com [java = openjdk]
You need to upgrade to JRE 1.7.x or newer from http://www.java. com
OOPS, unable to locate java exec in /usr/lib/ hierarchy
You need to upgrade to JRE 1.7.x or newer from h ttp://www.java.com
ls: cannot access ‘/usr/java/j*’: No such file or directory
OOPS, unable to locate java exec in /usr/java/ hierarchy
You need to upgrade to JRE 1.7.x or newer from h ttp://www.java.com
ls: cannot access ‘/opt/j*’: No such file or directory
OOPS, unable to locate java exec in /opt/ hierarchy
You need to upgrade to JRE 1.7.x or newer from http://www.java.com

java related, how to solve? I am on KDE

you can install jre from here: http://www.java.com/en/download/linux_manual.jsp

i has 2 versions of java in rpmdrake, when it upgrades, it keeps the previous one also, fixed it now, thanks!